Macro
SEQAN_BEGIN_TESTSUITE
Expand to a test suite beginning.
SEQAN_BEGIN_TESTSUITE(name)
Parameters

name | The name of the test suite.

Remarks
This macro expands to a main() function and some initialization code that sets up the test system.
Examples
#include <seqan/basic.h>
SEQAN_BEGIN_TESTSUITE(test_foo)
{
SEQAN_CALL_TEST(test_foo_my_test);
}
SEQAN_END_TESTSUITE
See Also
SEQAN_END_TESTSUITE, SEQAN_SKIP_TEST, SEQAN_DEFINE_TEST, SEQAN_CALL_TEST
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59